#!/usr/bin/env jython
"""
Log.py - 0.1 - 28 oct 2007

A few temporary logging related functions, intended for Jython.
Will be replaced with Python's Logging module????

Copyright (C) 2007  Gert-Jan den Besten

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>  
"""

# Python imports
from os.path import getuser    # Jython-specific function.
from time import strftime



cstDashes70 = '-' * 70
cstDashes80 = '-' * 80



def GetDateTimeStamp():
    """
    Generating datetime-stamp.
    """
    return strftime("%d %b %Y - %H:%M:%S")



def GetTimeStamp():
    """
    Generating time-stamp.
    """
    return strftime("%H:%M:%S")



def WriteLog(filLog, strData):
    """
    Adding strData to filLog preceded by a time-stamp.
    """
    print >> filLog, GetTimeStamp() + ': ' + strData



def CreateLog(strLogFile, strProgramName):
    """
    Creation of .log file.
    """
    filLog = file(strLogFile, 'w')

    print >> filLog, cstDashes80
    print >> filLog, strProgramName
    print >> filLog, 'Logging started: ' + GetDateTimeStamp()
    print >> filLog, 'User: ' + getuser()
    print >> filLog, cstDashes80

    return filLog



def CloseLog(filLog):
    """
    Closing .log file.
    """
    WriteLog(filLog, cstDashes70)
    WriteLog(filLog, 'Ending log.')
    WriteLog(filLog, cstDashes70)
    filLog.close()



def CloseLogWithError(filLog, strMess):
    """
    Closing .log file with errormessage.
    """
    WriteLog(filLog, strMess)
    CloseLog(filLog)

