#!/usr/bin/env jython
"""
CCSIDs.py - 0.8 - 2007-10-19

This module contains the mapping of the CCSIDs known to Websphere MQ5.3
to Jython compatible encodings.

Copyright (C) 2007  Gert-Jan den Besten

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>   
"""


dctCcsid2Python = {
#   CCSID  Jython        Description
      37: 'cp037',       #ibm037
     437: 'cp437',       #ibm437 / PC Original
     500: 'cp500',       #ibm500
     819: 'iso8859_1',   #iso-8859-1 / latin1 / ibm819
    1200: 'utf_16',      #Unicode
    1208: 'utf_8',       #UTF-8
    # 273:           #ibm273
    # 277:           #ibm277
    # 278:           #ibm278
    # 280:           #ibm280
    # 284:           #ibm284
    # 285:           #ibm285
    # 297:           #ibm297
    # 420:           #ibm420
     424: 'cp424',       #ibm424
     737: 'cp737',       #ibm737 / PC Greek
     775: 'cp775',       #ibm775 / PC Baltic
     813: 'iso8859_7',   #iso-8859-7 / greek / ibm813
    # 838:           #ibm838
     850: 'cp850',       #ibm850 / PC Latin 1
     852: 'cp852',       #ibm852 / PC Latin 2
     855: 'cp855',       #ibm855 / PC Cyrillic
     856: 'cp856',       #ibm856
     857: 'cp857',       #ibm857 / PC Turkish
     860: 'cp860',       #ibm860 / PC Portuguese
     861: 'cp861',       #ibm861 / PC Icelandic
     862: 'cp862',       #ibm862 / PC Hebrew
     863: 'cp863',       #ibm863 / PC Canadian French
     864: 'cp864',       #ibm864 / PC Arabic
     865: 'cp865',       #ibm865 / PC Nordic
     866: 'cp866',       #ibm866 / PC Russian
    # 868:           #ibm868
     869: 'cp869',       #ibm869 / PC Modern Greek
    # 870:           #ibm870
    # 871:           #ibm871
     874: 'cp874',       #ibm874
     875: 'cp875',       #ibm875
     912: 'iso8859_2',   #iso-8859-2 / latin2 / ibm912
     913: 'iso8859_3',   #iso-8859-3 / latin3 / ibm913
     914: 'iso8859_4',   #iso-8859-4 / latin4 / ibm914
     915: 'iso8859_5',   #iso-8859-5 / cyrillic / ibm915
     916: 'iso8859_8',   #iso-8859-8 / hebrew / ibm916
    # 918:           #ibm918
     920: 'iso8859_9',   #iso-8859-9 / latin5 / ibm920
    # 921:           #ibm921
    # 922:           #ibm922
    # 930:           #ibm930
    # 932:           #PC Japanese
    # 933:           #ibm933
    # 935:           #ibm935
    # 937:           #ibm937
    # 939:           #ibm939
    # 942:           #ibm942
    # 948:           #ibm948
    # 949:           #ibm949
    # 950:           #ibm950 / Big 5 Traditional Chinese
    # 954:           #EUCJIS
    # 964:           #ibm964 / CNS 11643 Traditional Chinese
    # 970:           #ibm970
    1006: 'cp1006',      #ibm1006
    #1025:           #ibm1025
    1026: 'cp1026',      #ibm1026
    1089: 'iso8859_6',   #iso-8859-6 / arabic / ibm1089
    #1097:           #ibm1097
    #1098:           #ibm1098
    #1112:           #ibm1112
    #1122:           #ibm1122
    #1123:           #ibm1123
    #1124:           #ibm1124
    1250: 'cp1250',      #Windows Latin 2
    1251: 'cp1251',      #Windows Cyrillic
    1252: 'cp1252',      #Windows Latin 1
    1253: 'cp1253',      #Windows Greek
    1254: 'cp1254',      #Windows Turkish
    1255: 'cp1255',      #Windows Hebrew
    1256: 'cp1256',      #Windows Arabic
    1257: 'cp1257',      #Windows Baltic
    1258: 'cp1258'      #Windows Vietnamese
    #1381:           #ibm1381
    #1383:           #ibm1383
    #2022:           #JIS
    #5601:           #ksc-5601 Korean
   #33722:           #ibm33722
}
